Quiet down f2c output

It generates thousands of lines of output every time otherwise, which
makes it hard to see other, more useful, things. Also, it's not like
we're ever going to fix any of the warnings anyways.

Change-Id: If655ea7cb644055d9e59192d99173e8f34352c20
diff --git a/tools/build_rules/quiet_success.sh b/tools/build_rules/quiet_success.sh
new file mode 100755
index 0000000..6020cef
--- /dev/null
+++ b/tools/build_rules/quiet_success.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# This program hides all the output on stderr from the called command, unless it
+# fails, in which case all the output is printed at the end.
+
+set -e
+set -u
+
+readonly STDERR_FILE="$(mktemp)"
+
+if ! "$@" 2>"${STDERR_FILE}" ; then
+  cat "${STDERR_FILE}"
+  exit 1
+fi